@ComingFlex

PermissionError: [Errno 13] Permission denied: '/home/wib_bot/chromedriver'?

У меня есть парсер на селениуме. Запускаю на пк windows 10 всё работает. Хотел загрузить на VPS, но появляется ошибка, что нет доступа. Как дать этот доступ? (Linux)

Текст ошибки:

multiprocessing.pool.RemoteTraceback:
"""
Traceback (most recent call last):
  File "/home/wib_bot/venvWIBBOT/lib/python3.9/site-packages/selenium/webdriver/common/service.py", line 71, in start
    self.process = subprocess.Popen(cmd, env=self.env,
  File "/usr/lib/python3.9/subprocess.py", line 951, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/usr/lib/python3.9/subprocess.py", line 1823, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
PermissionError: [Errno 13] Permission denied: '/home/wib_bot/chromedriver'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/multiprocessing/pool.py", line 125, in worker
    result = (True, func(*args, **kwds))
  File "/usr/lib/python3.9/multiprocessing/pool.py", line 48, in mapstar
    return list(map(*args))
  File "/home/wib_bot/main.py", line 20, in collect_data
    driver = webdriver.Chrome(executable_path='/home/wib_bot/chromedriver',
  File "/home/wib_bot/venvWIBBOT/lib/python3.9/site-packages/selenium/webdriver/chrome/webdriver.py", line 69, in __init__
    super().__init__(DesiredCapabilities.CHROME['browserName'], "goog",
  File "/home/wib_bot/venvWIBBOT/lib/python3.9/site-packages/selenium/webdriver/chromium/webdriver.py", line 89, in __init__
    self.service.start()
  File "/home/wib_bot/venvWIBBOT/lib/python3.9/site-packages/selenium/webdriver/common/service.py", line 86, in start
    raise WebDriverException(
selenium.common.exceptions.WebDriverException: Message: 'chromedriver' executable may have wrong permissions. Please see https://chromedriver.chromium.org/home
  • Вопрос задан
  • 140 просмотров
Решения вопроса 1
@ComingFlex Автор вопроса
Нашёл решение!
sudo chown -R <пользователь> <путь>
Ответ написан
Комментировать
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы